import {Component} from "@angular/core";
import {RouterLink} from "@angular/router";


@Component({
  standalone: true,
  selector: 'app-navbar',
  imports: [
    RouterLink
  ],
  template: `
    <nav class="navbar navbar-expand-lg navbar-light bg-black mb-4">
      <div class="container-fluid">
        <a class="navbar-brand text-white" routerLink="/">TodoApp</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link text-white" routerLink="/todos">Todos</a>
            </li>
            <li class="nav-item">
              <a class="nav-link text-white" routerLink="/todos/new">Add Todo</a>
            </li>
            <li class="nav-item">
            <a class="nav-link text-white" routerLink="/settings">Settings</a>
          </li>
          </ul>
        </div>
      </div>
    </nav>
  `
})
export class NavbarComponent {

}
