import {Component, inject} from "@angular/core";
import {SettingsService} from "./settings.service";

@Component({
  standalone: true,
  selector: 'app-settings',
  template: `
    <div class="d-flex justify-content-center align-items-start" style="height: 100vh;">
      <div>
    <h1>Settings</h1>
    <div class="form-check">
      <input class="form-check-input" type="checkbox" id="sortTodos" (change)="toggleSortTodos($event)"  [checked]="settingsService.settings.sortTodos">
      <label class="form-check-label" for="sortTodos">
        Sort Todos
      </label>
    </div>
    <div class="form-check">
      <input class="form-check-input" type="checkbox" id="displayDeleteButton" (change)="toggleDeleteButton($event)"  [checked]="settingsService.settings.displayDeleteButton">
      <label class="form-check-label" for="displayDeleteButton">
        Display Delete Button
      </label>
    </div>
      </div>
    </div>
    `
})
export class SettingsComponent {

  settingsService: SettingsService = inject(SettingsService);

  toggleDeleteButton($event: Event) {
    this.settingsService.setDeleteButton(($event.target as HTMLInputElement).checked)
  }

  toggleSortTodos($event: Event) {
    this.settingsService.setSortTodos(($event.target as HTMLInputElement).checked)
  }
}
