import {Injectable} from "@angular/core";
import {Settings} from "./settings";

const STORAGE_KEY = 'settings';

@Injectable({
  providedIn: 'root'
})
export class SettingsService {

  setDeleteButton(checked: boolean) {
    const settings = this.settings;
    settings.displayDeleteButton = checked;
    this.settings = settings;
  }

  setSortTodos(checked: boolean) {
    const settings = this.settings;
    settings.sortTodos = checked;
    this.settings = settings;
  }

  get settings(): Settings {
    const settingsJson = localStorage.getItem(STORAGE_KEY);

    if (!settingsJson) {
      const settings = {
        sortTodos: false,
        displayDeleteButton: true
      };

      this.settings = settings;
      return settings;
    }

    return JSON.parse(settingsJson) as Settings;
  }

  set settings(settings: Settings) {
    localStorage.setItem(STORAGE_KEY, JSON.stringify(settings));
  }
}
