import {Component, EventEmitter, inject, Output} from '@angular/core';
import {NgForOf} from "@angular/common";
import {TodoService} from "../../todo.service";

@Component({
  selector: 'app-table-filter',
  standalone: true,
    imports: [
        NgForOf
    ],
  templateUrl: './filter.component.html',
  styleUrl: './filter.component.css'
})
export class FilterComponent {

  todoService: TodoService = inject(TodoService);

  categories: string[] = this.todoService.categories;

  @Output()
  updateFiler: EventEmitter<string> = new EventEmitter()

  updateFilter(event: Event) {
    const inputElement = event.target as HTMLInputElement;
    const filterValue = inputElement.value;

    this.updateFiler.emit(filterValue);
  }
}
