import {Component, EventEmitter, inject, Input, Output} from '@angular/core';
import {NgIf} from "@angular/common";
import {Todo} from "../../todo";
import {SettingsService} from "../../../settings/settings.service";

@Component({
  selector: 'app-row',
  standalone: true,
  imports: [
    NgIf
  ],
  templateUrl: './row.component.html',
  styleUrl: './row.component.css'
})
export class RowComponent {
  @Input()
  todo!: Todo;

  @Output()
  _deleteTodo: EventEmitter<Todo> = new EventEmitter;

  settingsService: SettingsService = inject(SettingsService);

  get displayDeleteButton(): boolean {
    return this.settingsService.settings.displayDeleteButton;
  }

  deleteTodo(todo: Todo): void {
    this._deleteTodo.emit(todo);
  }
}
